Get trade
curl --request GET \
--url https://api.skinshark.gg/merchant/trades/{id} \
--header 'api-key: <api-key>'{
"requestId": "<string>",
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "<string>",
"steamId": "<string>",
"tradeUrl": "<string>",
"game": "730",
"items": [
{
"id": "<string>",
"name": "<string>",
"marketHashName": "<string>",
"type": "<string>",
"iconUrl": "<string>",
"price": 123,
"exterior": "<string>",
"rarity": "<string>",
"color": "<string>",
"phase": "<string>",
"wear": "<string>",
"paintSeed": 123,
"stickers": [
{
"name": "<string>",
"slot": 123,
"iconUrl": "<string>",
"wear": 123
}
],
"charm": {
"name": "<string>",
"iconUrl": "<string>",
"pattern": "<string>"
},
"delivery": "<string>",
"status": "<string>",
"tradable": true,
"error": "<string>"
}
],
"summary": {
"total": 123,
"delivered": 123,
"completed": 123,
"failed": 123
},
"totalPrice": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"offerId": "<string>",
"externalId": "<string>",
"holdEndDate": "2023-11-07T05:31:56Z",
"settledAt": "2023-11-07T05:31:56Z",
"error": "<string>"
},
"error": {
"code": 1500,
"key": "INSUFFICIENT_BALANCE",
"message": "Insufficient balance"
}
}Trades
Get trade
Auth context: merchant only.
GET
/
merchant
/
trades
/
{id}
Get trade
curl --request GET \
--url https://api.skinshark.gg/merchant/trades/{id} \
--header 'api-key: <api-key>'{
"requestId": "<string>",
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "<string>",
"steamId": "<string>",
"tradeUrl": "<string>",
"game": "730",
"items": [
{
"id": "<string>",
"name": "<string>",
"marketHashName": "<string>",
"type": "<string>",
"iconUrl": "<string>",
"price": 123,
"exterior": "<string>",
"rarity": "<string>",
"color": "<string>",
"phase": "<string>",
"wear": "<string>",
"paintSeed": 123,
"stickers": [
{
"name": "<string>",
"slot": 123,
"iconUrl": "<string>",
"wear": 123
}
],
"charm": {
"name": "<string>",
"iconUrl": "<string>",
"pattern": "<string>"
},
"delivery": "<string>",
"status": "<string>",
"tradable": true,
"error": "<string>"
}
],
"summary": {
"total": 123,
"delivered": 123,
"completed": 123,
"failed": 123
},
"totalPrice": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"offerId": "<string>",
"externalId": "<string>",
"holdEndDate": "2023-11-07T05:31:56Z",
"settledAt": "2023-11-07T05:31:56Z",
"error": "<string>"
},
"error": {
"code": 1500,
"key": "INSUFFICIENT_BALANCE",
"message": "Insufficient balance"
}
}Authorizations
Your raw API key. Generate, rotate, and revoke keys from the merchant
dashboard. Keys can optionally be bound to one or more allowed source
IPs — requests from any other IP are rejected with API_KEY_IP_DENIED.
Path Parameters
Required string length:
1 - 128⌘I